## wxwidgets3.1 3.1.0

=== debian/changelog ===
wxwidgets3.1 (3.1.0-1.wily) wily; urgency=low

  * Non-maintainer upload.
  * A wx3.1.0 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 01 Mar 2016 11:46:01 +0000

wxwidgets3.0 (3.0.2-1) unstable; urgency=low

  [ Olly Betts ]

  * New upstream release:
    - wxTR_EDIT_LABELS now works again.  (Closes: #762134)
  * Disable gcc4.9-workaround.patch, as GCC is now fixed in jessie and this
    bug is new in 4.9 so wheezy was never affected.

  [ Christian Beier ]

  * debian/control.in: Add BD on libnotify-dev to enable use of libnotify.
    (Closes: #745887)

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 13:12:10 +1300

wxwidgets3.0 (3.0.1-3) unstable; urgency=medium

  [ Olly Betts ]

  * debian/control.in: Update "Vcs-*" fields to include the branch name.
    (Thanks vcswatch)
  * debian/control.in: Drop "Suggests: libstdc++-dev" from -dev packages
    - you need a C++ compiler installed for the -dev packages to be
    useful, which should ensure the appropriate C++ runtime -dev package
    is installed.
  * Split off the msw cross packages into debian/control.msw.in, which we
    only include in the generated debian/control when building the cross
    packages.  This avoids source-only uploads erroneously ending up in
    NEW.

  [ Gianfranco Costamagna ]

  * debian/control.in: Promote dependency of libwxgtk3.0-dev on
    "libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev" from
    "Suggests" to "Depends", as these are required to build code which uses
    wxGLCanvas.  Drop this dependency entirely from libwxgtk-media3.0-dev
    and libwxgtk-webview3.0-dev as these both depend on libwxgtk3.0-dev,
    and it is the latter which actually needs them.  (Closes: #757638)

 -- Olly Betts <olly@survex.com>  Mon, 11 Aug 2014 17:48:06 +1200

wxwidgets3.0 (3.0.1-2) unstable; urgency=medium

  * New patch gcc4.9-workaround.patch to work around GCC 4.9 bug
    #752733.
  * debian/unpack_examples.sh.in: Don't uncompress files which are
    already compressed upstream.  Add missing quoting of filenames.
    Add "set -e".

 -- Olly Betts <olly@survex.com>  Sat, 28 Jun 2014 15:00:12 +1200

wxwidgets3.0 (3.0.1-1) unstable; urgency=medium

  * New upstream release
    + Incorporates most of the patches we were carrying - only one left is:
      wx-config-conditionalise-webview-in-std.patch
  * Drop versioning of dependencies from run-time libraries to wx-common -
    this will make the transition to the next wx version harder, and also
    makes backporting to wheezy more work.
  * Mark -dbg packages as "Multi-Arch: same".
  * Correct short descriptions of the webview packages to not just be
    copies of the corresponding media package's short description.
  * Wrap 81 character line in package description.

 -- Olly Betts <olly@survex.com>  Wed, 18 Jun 2014 12:42:22 +1200

wxwidgets3.0 (3.0.0-4) unstable; urgency=medium

  * Only include webview in the "std" gui libs if libwxgtk-webview3.0-dev is
    installed (new patch wx-config-conditionalise-webview-in-std.patch).
    (Closes: #749292)

 -- Olly Betts <olly@survex.com>  Mon, 26 May 2014 14:03:35 +1200

wxwidgets3.0 (3.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]

  * Standards-Version: 3.9.5 (no changes required).
  * New libwxgtk-webview3.0-0{,-dbg,-dev} packages (Closes: #738849)
    + debian/control.in: add libwebkitgtk-dev as b-d
      needed to enable webview support
    + debian/rules: split webview library in the new package
  * Backport fix from upstream VCS:
    + debian/patches/fix-bug-736374.patch: Fix scroll with mouse wheel
      (thanks Tillmann Karras the bug report and patch url. (Closes: #736374)

  [ Olly Betts ]

  * debian/patches/propgrid-assertion-fixes.patch: Fix crash on "Try these"
    in the propgrid example (Closes: #746192)

 -- Olly Betts <olly@survex.com>  Wed, 21 May 2014 15:45:59 +1200

wxwidgets3.0 (3.0.0-2) unstable; urgency=low

  * Build wx-common instead of wxwidgets2.8 building it.
  * debian/rules: Strip out no longer used -doc package handling.
  * debian/rules: Rename extra_packages to do_not_build_packages for clarity.
  * Backport fixes from upstream VCS:
    + debian/patches/fix-wxsocket-waitforaccept.patch: Fix
      wxSocket::WaitForAccept() in worker thread.
    + debian/patches/fix-wxvector-overallocation.patch: Fix wxVector
      overallocation.
    + debian/patches/set-wxinfobargeneric-text-colour-correctly.patch: Set
      wxInfoBarGeneric text colour correctly.

 -- Olly Betts <olly@survex.com>  Sat, 30 Nov 2013 10:44:17 +1300

wxwidgets3.0 (3.0.0-1) unstable; urgency=low

  * New upstream release! (Closes: #613431, #492896)
    + Incorporates all our patches.
    + __WXDEBUG__ is now on by default, so our -dbg packages now just contain
      detached debugging symbols. (Closes: #655251)
    + Upstream tarball is now DFSG-free, so we no longer repack it.
  * The wxwidgets2.8 source package was based on wxPython sources, but
    wxwidgets3.0 is based on wxWidgets.  The major motivation is we don't want
    to wait until wxPython 3.0.0 is released to package wxWidgets 3.0.0, but
    it's probably better overall anyway.  Currently the "-doc" package is gone
    (as these docs aren't in wx source code distribution), but this should
    reappear in the near future.
  * debian/control: Drop conflicts against packages (or versions of packages)
    which no longer exist in any supported Debian or Ubuntu release.

 -- Olly Betts <olly@survex.com>  Tue, 12 Nov 2013 11:38:12 +0000

wxwidgets2.8 (2.8.12.1+dfsg-1) unstable; urgency=low

  * Re-repack upstream to remove unused embedded copy of editra, which
    contains a base64 encoded exe file without source code. (Closes: #724470)
    + New patch fix-editra-removal.patch to fix up build system for removal of
      editra during repack.
    + debian/copyright: Drop license information for files in editra which we
      now remove in the repack.

