=== debian/control ===
Source: wxwidgets3.1
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), gettext, libgtk2.0-dev,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libesd0-dev,
 autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
 libxt-dev, libgstreamer-plugins-base0.10-dev, libgconf2-dev, libwebkitgtk-dev,
 libnotify-dev
Maintainer: David Hart <david@codelite.co.uk>
Standards-Version: 3.9.5
Homepage: http://www.wxwidgets.org/

Package: libwxbase3.1-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.1 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.1-dev
Architecture: any
Section: libdevel
Depends: wx3.1-headers (= ${binary:Version}), libwxbase3.1-0-unofficial (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase3.1-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxbase3.1-0-unofficial (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: debugging symbols for the wxBase library
 This package contains detached debugging symbols for the wxBase library
 (part of wxWidgets).
 .
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.

Package: libwxgtk3.1-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.1-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.1-headers (= ${binary:Version}), libwxgtk3.1-0-unofficial (= ${binary:Version}), libwxbase3.1-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
Suggests: gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk3.1-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk3.1-0-unofficial (= ${binary:Version}), libwxbase3.1-0-unofficial-dbg (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: debugging symbols for the wxGTK GUI toolkit library
 This package contains detached debugging symbols for the wxGTK library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.1-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk2u_media.

Package: libwxgtk-media3.1-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-media3.1-0-unofficial (= ${binary:Version}), libwxgtk3.1-0-unofficial-dbg (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: debugging symbols for the wxGTK media library
 This package contains detached debugging symbols for the wxGTK media library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.1-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.1-headers (= ${binary:Version}), libwxgtk-media3.1-0-unofficial (= ${binary:Version}), libwxgtk3.1-dev (= ${binary:Version}), ${misc:Depends}
Suggests: gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-media library.

Package: libwxgtk-webview3.1-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the webview shared libraries needed to run programs
 linked against libwx_gtk2u_webview.

Package: libwxgtk-webview3.1-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-webview3.1-0-unofficial (= ${binary:Version}), libwxgtk3.1-0-unofficial-dbg (= ${binary:Version}), ${misc:Depends}
Suggests: libwebkitgtk-3.0-0-dbg
Multi-Arch: same
Description: debugging symbols for the wxGTK webview library
 This package contains detached debugging symbols for the wxGTK webview library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-webview3.1-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.1-headers (= ${binary:Version}), libwxgtk-webview3.1-0-unofficial (= ${binary:Version}), libwxgtk3.1-dev (= ${binary:Version}), ${misc:Depends}
Suggests: gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-webview library.

Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.1-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.1-i18n
Architecture: all
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.1-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.1-dev (= ${binary:Version})
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.
